<template>
  <div>
    <!-- new movie button -->
    <div class="slds-grid slds-grid_align-end">
      <div class="slds-col">
        <a class="slds-button slds-button_brand" onclick={toggleCreateForm}
          >New Movie</a
        >
      </div>
    </div>
    <!-- search bar -->
    <div class="slds-grid slds-grid_align-center">
      <div class="slds-col slds-size_1-of-5">
        <c-filter-movies-lwc onsearch={handleSeach}></c-filter-movies-lwc>
      </div>
    </div>
    <!-- list of movies -->
    <div class="slds-grid slds-wrap slds-gutters">
      <template if:true={movies.data}>
        <template for:each={movies.data} for:item="movie">
          <c-movies-results-lwc
            class="slds-col slds-size_1-of-3"
            movie={movie}
            movie-avatar={MOVIE_PIC}
            key={movie.id}
            onpreview={handlePreviewMovie}
          >
          </c-movies-results-lwc>
        </template>
      </template>
      <template if:true={movies.error}> {MOVIES_LIST_ERROR} </template>
    </div>
    <!-- create/Preview modals -->
    <div if:true={showCreateModal}>
      <c-new-movie-modal-lwc
        onsuccess={handleSuccessCreation}
        onfail={handleFailCreation}
        oncancel={toggleCreateForm}
        movie-avatar={MOVIE_PIC}
        is-update-mode={isUpdateMode}
        movie={previewedOrUpdateMovie}
      >
      </c-new-movie-modal-lwc>
    </div>
    <div if:true={showPreview}>
      <c-movie-preview-lwc
        movie-avatar={MOVIE_PIC}
        movie={previewedOrUpdateMovie}
        oncancel={hidePreview}
        ondelete={handleDeleteMovie}
        onupdate={handleUpdateMovie}
      >
      </c-movie-preview-lwc>
    </div>
  </div>
</template>
